<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: BreadCrumbs SEO Panel  JSON-LD microdata
| Version: 1.0
| Filename: breadcrumbs_seo_panel.php
| Author: Pisatel
| Support: http://www.meweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
    if (!defined("IN_FUSION")) { die("Access Denied"); }
    require_once INFUSIONS."breadcrumbs_seo_panel/locale/".(file_exists(INFUSIONS."breadcrumbs_seo_panel/locale/".$settings['locale'].".php") ? $settings['locale'] : "Russian").".php";
    $seoarr = array();
    $canonical = FALSE;
    define("ACEPAGE", $settings['site_protocol']."://".$settings['site_host']);
    define("THISPAGE", ACEPAGE.FUSION_REQUEST);
    define("PAGE_TPS", ACEPAGE.TRUE_PHP_SELF);
    $seoarr[] = ACEPAGE."/ | ".$locale['bsp_00'];
    if (TRUE_PHP_SELF == "/forum/viewforum.php" && isset($_GET['forum_id']) && isnum($_GET['forum_id'])) {
    $result = dbquery(
"SELECT f.forum_id, f.forum_cat, f.forum_name, f2.forum_name AS forum_cat_name FROM ".DB_FORUMS." f
 LEFT JOIN ".DB_FORUMS." f2 ON f.forum_cat=f2.forum_id
 WHERE f.forum_id='".$_GET['forum_id']."'"
);
    if (dbrows($result)) {
    $fdata = dbarray($result);
    $canonical = PAGE_TPS."?forum_id=".$fdata['forum_id'].(isset($_GET['rowstart']) && isnum($_GET['rowstart']) && $_GET['rowstart'] > 0 ? "&rowstart=".$_GET['rowstart'] : "");
    $seoarr[] = ACEPAGE."/forum/ | ".$locale['bsp_01'];
    $seoarr[] = PAGE_TPS."?forum_id=".$fdata['forum_id']." | ".$fdata['forum_cat_name']." > ".$fdata['forum_name'];
 }
} elseif (TRUE_PHP_SELF == "/forum/viewthread.php" && isset($_GET['thread_id']) && isnum($_GET['thread_id'])) {
    $result = dbquery(
 "SELECT t.thread_id, t.thread_subject, f.forum_id, f.forum_cat, f.forum_name, f2.forum_name AS forum_cat_name
 FROM ".DB_THREADS." t
 LEFT JOIN ".DB_FORUMS." f ON t.forum_id=f.forum_id
 LEFT JOIN ".DB_FORUMS." f2 ON f.forum_cat=f2.forum_id
 WHERE t.thread_id='".$_GET['thread_id']."'"
);
    if (dbrows($result)) {
    $fdata = dbarray($result);
    if (isset($_GET['pid']) && isnum($_GET['pid'])) {
    $sreply_c = dbcount("(post_id)", DB_POSTS, "thread_id='".$fdata['thread_id']."' AND post_id<='".$_GET['pid']."' AND post_hidden='0'");
    if ($sreply_c > 20) {
    $_GET['rowstart'] = ((ceil($sreply_c / 20)-1) * 20);
 }
}
    $canonical = PAGE_TPS."?thread_id=".$fdata['thread_id'].(isset($_GET['rowstart']) && isnum($_GET['rowstart']) && $_GET['rowstart'] > 0 ? "&rowstart=".$_GET['rowstart'] : "");
    $seoarr[] = ACEPAGE."/forum/index.php | ".$locale['bsp_01'];
    $seoarr[] = ACEPAGE."/forum/viewforum.php?forum_id=".$fdata['forum_id']." | ".$fdata['forum_cat_name']." > ".$fdata['forum_name'];
    $seoarr[] = PAGE_TPS."?thread_id=".$fdata['thread_id']." | ".$locale['bsp_02'].$fdata['thread_subject'];
 }
} elseif (TRUE_PHP_SELF == "/forum/index.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_01'];
} elseif (TRUE_PHP_SELF == "/articles.php" && isset($_GET['article_id']) && isnum($_GET['article_id'])) {
    $result = dbquery(
  "SELECT la.article_id, la.article_cat, la.article_subject, lac.article_cat_id, lac.article_cat_name
  FROM ".DB_ARTICLES." la
  INNER JOIN ".DB_ARTICLE_CATS." lac ON la.article_cat=lac.article_cat_id
  WHERE la.article_id='".$_GET['article_id']."'"
);
    if (dbrows($result)) {
 $adata = dbarray($result);
    $canonical = PAGE_TPS."?article_id=".$adata['article_id'];
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_03'];
    $seoarr[] = PAGE_TPS."?cat_id=".$adata['article_cat']." | ".$adata['article_cat_name'];
    $seoarr[] = PAGE_TPS."?article_id=".$adata['article_id']." | ".$adata['article_subject'];
 }
} elseif (TRUE_PHP_SELF == "/articles.php" && isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {
    $result = dbquery("SELECT article_cat_id, article_cat_name FROM ".DB_ARTICLE_CATS." WHERE article_cat_id='".$_GET['cat_id']."'");
    if (dbrows($result)) {
    $adata = dbarray($result);
    $canonical = PAGE_TPS."?cat_id=".$adata['article_cat_id'].(isset($_GET['rowstart']) && isnum($_GET['rowstart']) && $_GET['rowstart'] > 0 ? "&rowstart=".$_GET['rowstart'] : "");
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_04'];
    $seoarr[] = PAGE_TPS."?cat_id=".$adata['article_cat_id']." | ".$adata['article_cat_name'];
 }
} elseif (TRUE_PHP_SELF == "/articles.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_04'];
} elseif (TRUE_PHP_SELF == "/news.php" && isset($_GET['readmore'])&& isnum($_GET['readmore'])) {
    $result = dbquery(
  "SELECT tn.news_id, tn.news_cat, tn.news_subject, tc.news_cat_id, news_cat_name
  FROM ".DB_NEWS." tn
  LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
  WHERE news_id='".$_GET['readmore']."' LIMIT 1"
);
    if (dbrows($result)) {
 $ndata = dbarray($result);
    $canonical = PAGE_TPS."?readmore=".$ndata['news_id'];
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_05'];
    $seoarr[] = ACEPAGE."/news_cats.php?cat_id=".$ndata['news_cat']." | ".$ndata['news_cat_name'];
    $seoarr[] = PAGE_TPS."?readmore=".$ndata['news_id']." | ".$ndata['news_subject'];
 }
} elseif (TRUE_PHP_SELF == "/news.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_05'];
} elseif (TRUE_PHP_SELF == "/news_cats.php" && isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {
    $result = dbquery("SELECT news_cat_id, news_cat_name FROM ".DB_NEWS_CATS." WHERE news_cat_id='".$_GET['cat_id']."' LIMIT 1");
    if (dbrows($result)) {
    $ndata = dbarray($result);
    $canonical = PAGE_TPS."?cat_id=".$ndata['news_cat_id'].(isset($_GET['rowstart']) && isnum($_GET['rowstart']) && $_GET['rowstart'] > 0 ? "&rowstart=".$_GET['rowstart'] : "");
    $seoarr[] = ACEPAGE."/news.php | ".$locale['bsp_05'];
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_06'];
    $seoarr[] = PAGE_TPS."?cat_id=".$ndata['news_cat_id']." | ".$ndata['news_cat_name'];
 }
} elseif (TRUE_PHP_SELF == "/news_cats.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = ACEPAGE."/news.php | ".$locale['bsp_05'];
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_06'];
} elseif (TRUE_PHP_SELF == "/downloads.php" && isset($_GET['cat_id'])&& isnum($_GET['cat_id'])) {
    $result = dbquery("SELECT download_cat_id, download_cat_name FROM ".DB_DOWNLOAD_CATS." WHERE download_cat_id='".$_GET['cat_id']."' LIMIT 1");
    if (dbrows($result)) {
    $ddata = dbarray($result);
    $canonical = PAGE_TPS."?cat_id=".$ddata['download_cat_id'].(isset($_GET['rowstart']) && isnum($_GET['rowstart']) && $_GET['rowstart'] > 0 ? "&rowstart=".$_GET['rowstart'] : "");
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_07'];
    $seoarr[] = PAGE_TPS."?cat_id=".$ddata['download_cat_id']." | ".$ddata['download_cat_name'];
 }
} elseif (TRUE_PHP_SELF == "/downloads.php" && isset($_GET['download_id'])&& isnum($_GET['download_id'])) {
    $result = dbquery(
  "SELECT td.download_id, td.download_title, tc.download_cat_id, tc.download_cat_name
  FROM ".DB_DOWNLOADS." td
  LEFT JOIN ".DB_DOWNLOAD_CATS." tc ON td.download_cat=tc.download_cat_id
  WHERE download_id='".$_GET['download_id']."' LIMIT 1"
);
    if (dbrows($result)) {
    $ddata = dbarray($result);
    $canonical = PAGE_TPS."?download_id=".$ddata['download_id'];
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_07'];
    $seoarr[] = PAGE_TPS."?cat_id=".$ddata['download_cat_id']." | ".$ddata['download_cat_name'];
    $seoarr[] = PAGE_TPS."?download_id=".$ddata['download_id']." | ".$ddata['download_title'];
 }
} elseif (TRUE_PHP_SELF == "/downloads.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_07'];
} elseif (TRUE_PHP_SELF == "/photogallery.php" && isset($_GET['album_id'])&& isnum($_GET['album_id'])) {
    $result = dbquery("SELECT album_id, album_title FROM ".DB_PHOTO_ALBUMS." WHERE album_id='".$_GET['album_id']."' LIMIT 1");
    if (dbrows($result)) {
    $pdata = dbarray($result);
    $canonical = PAGE_TPS."?album_id=".$pdata['album_id'].(isset($_GET['rowstart']) && isnum($_GET['rowstart']) && $_GET['rowstart'] > 0 ? "&rowstart=".$_GET['rowstart'] : "");
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_08'];
    $seoarr[] = PAGE_TPS."?album_id=".$pdata['album_id']." | ".$pdata['album_title'];
 }
} elseif (TRUE_PHP_SELF == "/photogallery.php" && isset($_GET['photo_id'])&& isnum($_GET['photo_id'])) {
    $result = dbquery(
  "SELECT tp.photo_id, tp.photo_title, ta.album_id, ta.album_title
  FROM ".DB_PHOTOS." tp
  LEFT JOIN ".DB_PHOTO_ALBUMS." ta USING (album_id)
  WHERE tp.photo_id='".$_GET['photo_id']."' LIMIT 1"
);
    if (dbrows($result)) {
    $pdata = dbarray($result);
    $canonical = PAGE_TPS."?photo_id=".$pdata['photo_id'];
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_08'];
    $seoarr[] = PAGE_TPS."?album_id=".$pdata['album_id']." | ".$pdata['album_title'];
    $seoarr[] = PAGE_TPS."?photo_id=".$pdata['photo_id']." | ".$pdata['photo_title'];
 }
} elseif (TRUE_PHP_SELF == "/photogallery.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_09'];
} elseif (TRUE_PHP_SELF == "/faq.php" && isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {
    $result = dbquery("SELECT faq_cat_id, faq_cat_name FROM ".DB_FAQ_CATS." WHERE faq_cat_id='".$_GET['cat_id']."' LIMIT 1");
    if (dbrows($result)) {
    $fadata = dbarray($result);
    $canonical = PAGE_TPS."?cat_id=".$fadata['faq_cat_id'].(isset($_GET['rowstart']) && isnum($_GET['rowstart']) && $_GET['rowstart'] > 0 ? "&rowstart=".$_GET['rowstart'] : "");
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_10'];
    $seoarr[] = PAGE_TPS."?cat_id=".$fadata['faq_cat_id']." | ".$fadata['faq_cat_name'];
 }
} elseif (TRUE_PHP_SELF == "/faq.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_11'];
} elseif (TRUE_PHP_SELF == "/infusions/shoutbox_panel/shoutbox_archive.php") {
    $canonical = PAGE_TPS.(isset($_GET['rowstart']) && isnum($_GET['rowstart']) && $_GET['rowstart'] > 0 ? "?rowstart=".$_GET['rowstart'] : "");
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_12'];
} elseif (TRUE_PHP_SELF == "/profile.php" && isset($_GET['lookup']) && isnum($_GET['lookup'])) {
    $result = dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_id='".$_GET['lookup']."' LIMIT 1");
    if (dbrows($result)) {
    $udata = dbarray($result);
    $canonical = PAGE_TPS."?lookup=".$udata['user_id'];
    $seoarr[] = PAGE_TPS."?lookup=".$udata['user_id']." | ".$locale['bsp_13'].$udata['user_name'];
 }
} elseif (TRUE_PHP_SELF == "/search.php" && isset($_GET['stext'])) {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_14'];
    $seoarr[] = THISPAGE." | ".stripinput(urldecode(trim($_GET['stext'])));
} elseif (TRUE_PHP_SELF == "/search.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_15'];
} elseif (TRUE_PHP_SELF == "/register.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_16'];
} elseif (TRUE_PHP_SELF == "/secure_question.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = ACEPAGE."/register.php | ".$locale['bsp_16'];
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_22'];
} elseif (TRUE_PHP_SELF == "/viewpage.php" && isset($_GET['page_id']) && isnum($_GET['page_id'])) {
    $result = dbquery("SELECT page_title FROM ".DB_CUSTOM_PAGES." WHERE page_id='".$_GET['page_id']."' LIMIT 1");
    if (dbrows($result)) {
    $cpdata = dbarray($result);
    $canonical = THISPAGE;
    $seoarr[] = THISPAGE." | ".$locale['bsp_17'].$cpdata['page_title'];
 }
} elseif (TRUE_PHP_SELF == "/infusions/tags_system_panel/tags.php" && isset($_REQUEST['taglist']) && !empty($_REQUEST['taglist'])) {
    $canonical = THISPAGE;
    $seoarr[] = ACEPAGE."/infusions/tags_system_panel/all_tags.php | ".$locale['bsp_18'];
    $seoarr[] = THISPAGE." | ".$locale['bsp_19'].stripinput(urldecode(trim($_REQUEST['taglist'])));
} elseif (TRUE_PHP_SELF == "/infusions/tags_system_panel/all_tags.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_20'];
} elseif (TRUE_PHP_SELF == "/contact.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_21'];
} elseif (TRUE_PHP_SELF == "/login.php") {
    $canonical = PAGE_TPS;
    $seoarr[] = PAGE_TPS." | ".$locale['bsp_23'];
}
    $si = 1;
    $sci = count($seoarr);
    $sres = "";
    foreach ($seoarr as $sval) {
      $skey = explode(" | ", $sval);
      $sres .= "    {
      \"@type\": \"ListItem\",
      \"position\": ".$si.",
      \"item\":
      {
        \"@id\": \"".$skey[0]."\",
        \"name\": \"".$skey[1]."\"
      }
    }";
      if ($si < $sci) $sres .= ",\n";
      $si++;
}
    add_to_head("".($canonical ? "<link rel='canonical' href='".$canonical."' />\n" : "")."<script type=\"application/ld+json\">
{
  \"@context\": \"http://schema.org\",
  \"@type\": \"BreadcrumbList\",
  \"itemListElement\":
  [\n".$sres."\n]
}
</script>\n");

?>